View Issue Details

IDProjectCategoryView StatusLast Update
0005166MediaMonkey 4Playlist / Searchpublic2009-02-19 21:42
Reporterrusty Assigned To 
PriorityimmediateSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1 
Fixed in Version3.1 
Summary0005166: No UI Updating a Playlist's Play Order
DescriptionIf the user sorts a Playlist by an attribute other than Play order, and then Right-Clicks on the '#' column, there's no indication that this resets the play order.

I would suggest either of the following (I prefer option a):
a) Tooltip: 'Click to sort. Right-click to Update Play Order.'
b) Context menu: Update Play Order (Alt+F5)
TagsNo tags attached.
Fixed in build1222

Relationships

child of 0004874 closedpetr Play Order ('#' column) Sorting doesn't work correctly 

Activities

jiri

2009-01-08 22:42

administrator   ~0016088

I think that b) would be slightly better. The convention is that right-click usually doesn't do any action, except for showing a pop-up menu, i.e. it's safe to click anywhere, without any effect. So, a context menu when clicking on '#' would probably make most sense. Actually, then we could have the very same menu on all column headers, it would contain Update Play Order (Alt+F5) in case tracks aren't sorted by #.

rusty

2009-01-09 14:36

administrator   ~0016107

Sounds good.

Ludek

2009-01-12 10:51

developer   ~0016148

Added in build 1212.

stephen_platt

2009-02-06 03:02

developer   ~0016562

This doesn't seem to implemented as described by Jiri. Right clicking the # column updates play order without any context menu (or Tooltip).

Tested in build 1221

Ludek

2009-02-06 13:47

developer   ~0016575

Yes, I forgot to add the context menu also for # column, I added it only for all others columns.

Fixed in build 1222.

Ludek

2009-02-06 14:09

developer   ~0016576

Btw. I found another problem. When Track Browser is enabled then this doesn't visualy update the # order until refresh (F5).

Ludek

2009-02-06 18:23

developer   ~0016579

Fixed in 1222 too.

stephen_platt

2009-02-19 21:42

developer   ~0016697

verified 1223